## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iDocumentNodeIterator Struct Reference
[Utilities]

An iterator over iDocumentNode. More...

`#include <iutil/document.h>`

Inheritance diagram for iDocumentNodeIterator:

[legend]
List of all members.

## Public Member Functions

virtual bool | HasNext ()=0
| Are there more elements?
virtual csRef< iDocumentNode > | Next ()=0
| Get next element.

## Detailed Description

An iterator over iDocumentNode.

Main creators of instances implementing this interface:

- iDocumentNode::GetNodes()

Definition at line 130 of file document.h.

## Member Function Documentation

virtual bool iDocumentNodeIterator::HasNext | ( |  | ) | `[pure virtual]`

| Are there more elements? Implemented in csEmptyDocumentNodeIterator, and CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >.

virtual csRef<iDocumentNode> iDocumentNodeIterator::Next | ( |  | ) | `[pure virtual]`

| Get next element. Implemented in csEmptyDocumentNodeIterator, and CrystalSpace::DocumentHelper::Implementation::FilterDocumentNodeIterator< T >.

The documentation for this struct was generated from the following file:

- iutil/document.h